.mat-dialog-content {
    //background-color: rgb(162, 203, 255);
    position: relative;
    width: 80vw !important;
    height: 80vh !important;
    padding: 0;
    overflow-x: hidden !important;
    overflow-y: auto !important;
}
.card-container {
    padding: 5px;
}
.flight-info-card {
    padding-right: 5px;
}
@media only screen and (max-width: 950px) {
    .preview-image-forward {
        border-top-right-radius: 15px !important;
        border-bottom-right-radius: 15px !important;
    }
    .aircraft-image-large {
        border-top-right-radius: 15px !important;
        border-bottom-right-radius: 15px !important;
        margin: 10px !important;
        width: calc(100% - 18px) !important;
    }
    .departure-box {
        border: 1px solid transparent !important;
        border-radius: 0 !important;
        border-top-left-radius: 10px !important;
        border-top-right-radius: 10px !important;
    }
    .arrival-box {
        border: 1px solid transparent !important;
        border-radius: 0 !important;
        border-bottom-left-radius: 10px !important;
        border-bottom-right-radius: 10px !important;
    }
    .flight-info-card {
        padding: 5px !important;
    }
}


.preview-image-forward > .area {
    position: absolute;
    top: 0;
    bottom: 0;
    right: 0;
    width: 0;
    background: rgba(255, 255, 255, 0.5);
    transition: width 1s;
}

.preview-image-forward:hover > .area {
    position: absolute;
    top: 0;
    bottom: 0;
    right: 0;
    width: 100%;
    background: rgba(255, 255, 255, 0.5);
    transition: width 1s;
}

.preview-image-forward > .fas {
    max-width: 100%;
    position: absolute;
    top: 50%;
    left: 100%;
    margin: 0 -50% 0 0;
    transform: translate(-50%, -50%);
    color: rgba(255, 255, 255, 0);
    font-size: 0.5em;
    transition: left 1s, font-size 0.75s, color 0.5s;
}

.preview-image-forward:hover > .fas {
    max-width: 100%;
    position: absolute;
    top: 50%;
    left: 50%;
    margin: 0 -50% 0 0;
    transform: translate(-50%, -50%);
    color: rgba(0, 0, 0, 0.85);
    font-size: 3em;
    transition: left 1s, font-size 0.75s, color 0.5s;
}


.preview-image-back {
    left: 0;
}

.preview-image-back > .area {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 10px;
    width: 0;
    background: rgba(255, 255, 255, 0.5);
    border: 0 transparent;

    transition: width 1s, border 1s;

}

.preview-image-back:hover > .area {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 10px;
    width: 100%;
    background: rgba(255, 255, 255, 0.5);
    border: 1px solid transparent;
    border-top-left-radius: 15px;
    border-bottom-left-radius: 15px;
    transition: width 1s, border 1s, border-top-left-radius 1s, border-bottom-left-radius 1s;
}

.preview-image-back > .fas {
    max-width: 100%;
    position: absolute;
    top: 50%;
    left: 10px;
    margin: 0 -50% 0 0;
    transform: translate(-50%, -50%);
    color: rgba(255, 255, 255, 0);
    font-size: 0.5em;
    transition: left 1s, font-size 0.75s, color 0.5s;
}

.preview-image-back:hover > .fas {
    max-width: 100%;
    position: absolute;
    top: 50%;
    left: 50%;
    margin-top: 0;
    margin-right: -50px;
    margin-left: 10px;
    margin-bottom: 0;
    transform: translate(-50%, -50%);
    color: rgba(0, 0, 0, 0.85);
    font-size: 3em;
    transition: left 1s, font-size 0.75s, color 0.5s;
}


.aircraft-image-large {
    width: calc(100% - 9px);
    height: auto;
    max-height: 100%;
    margin-left: 10px;
    margin-bottom: 10px;
    margin-top: 10px;
    border: 0 solid transparent;
    border-radius: 0px;
    border-top-left-radius: 15px !important;
    border-bottom-left-radius: 15px !important;
}

.example-card {
    background: transparent;
    box-shadow: none;
}
.country-registration {
    position: relative;
}
.country-registration > span {
    padding-left: 25px;
}
.country-registration > .reset-span {
    padding-left: 0 !important;
}
.country-flag-img {
    border: 1px solid rgba(125, 125, 125, 0.5);
    height: 1em;
    margin-right: 2px;
    position: absolute;
}
.mySlides {
    display: none;
}
.preview-image-box {
    position: relative;
    //background-color: #4c6ef5;
}
.preview-image-button {
    position: absolute;
    top: 10px;
    bottom: 10px;
    width: 20%;
}
.preview-image-forward {
    right: 0;
}

.image-card {
    background: #c2121d;
}

.departure-box {
    background: #eeeeee;
    border: 1px solid transparent;
    border-top-left-radius: 10px;
    border-bottom-left-radius: 10px;
}

.arrival-box {
    background: #eeeeee;
    border: 1px solid transparent;
    border-top-right-radius: 10px;
    border-bottom-right-radius: 10px;
}

.aircraft-icon-box > .icon {
    position: relative;
}


.aircraft-icon-box {
    background: #eeeeee;
}

.airline-logo {
    display: block;
    margin-left: auto;
    margin-right: auto;
    padding-bottom: 10px;
    border-bottom: 1px solid #cccccc;
}

.airport-header {
    width: 100%;
    display: block;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
    margin-bottom: 5px;
    border-bottom: 1px solid #cccccc;
}

.info-header {
    margin-bottom: 5px;
    width: 100%;
    border-bottom: 1px solid #cccccc !important;
}

.card-box {
     margin: 10px;
 }

.input-group-full-width {
    width: 45% !important;
    margin-left: 2.5%;
    margin-right: 2.5%;
}


.img {
    max-width: 100%;
    margin: 0;
    background: transparent;
    position: absolute;
    top: 50vh;
    left: 50%;
    margin-right: -50%;
    transform: translate(-50%, -50%);
    z-index: 1000;
}

.img-container {
    position: absolute;
    background: rgba(0, 0, 0, 0.50);
    top: 0;
    bottom: 0;
    right: 0;
    left: 0;
    z-index: 100;
}

.close-img {
    position: absolute;
    top: 10px;
    right: 10px;
    font-size: 2em;
    color: rgb(201, 201, 201);
    z-index: 1000;
}

.detail-area {
    position: absolute;
    background: rgba(0, 0, 0, 0);
    top: 0;
    bottom: 0;
    right: 0;
    left: 0;
    z-index: 100;
    pointer-events: none;
}

.detail-container {
    position: absolute;
    background: rgba(230, 230, 230, .90);
    top: 0;
    bottom: 0;
    right: 0;
    left: 0;
    z-index: 100;
}

.close-detail {
    position: absolute;
    top: 20px;
    right: 20px;
    z-index: 1000;
}
